<?php

require_once("Strings.php"); //Pay attention to the order of inclusion - byte order mark might add whitespace to the html
require_once("GetPortalInfo.php");
require_once("CryptoPhotoUtils.php");
require_once("CryptoPhotoConf.php");

no_cache();

$selectedRealm = array_key_exists("selectedRealm", $_POST) ? $_POST["selectedRealm"] : "";
$loginType     = array_key_exists("loginType", $_POST) ? $_POST["loginType"] : "";
$userName      = array_key_exists("userName", $_POST) ? $_POST["userName"] : "";
$vpid_prefix   = array_key_exists("vpid_prefix", $_POST) ? $_POST["vpid_prefix"] : "";
$password      = array_key_exists("password", $_POST) ? $_POST["password"] : "";
$HeightData    = array_key_exists("HeightData", $_POST) ? $_POST["HeightData"] : "";

$cp = new CryptoPhotoUtils($cpserver, $cpprivkey, $cppubkey, md5($cpsalt . $userName));
$session = $cp->start_session($_SERVER['REMOTE_ADDR'], true);

// new session started successfully?
if($session[0] == FALSE) {
  $error_msg = $session[1];
}

?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<HEAD>
    <meta name="robots" content="noindex,nofollow">
    <TITLE>
    <?=charset_htmlentities($PortalTitle." - CryptoPhoto Authentication")?>
    </TITLE>
    <?= charset(); ?>
    <link rel="stylesheet" href="../Login/Login.css" type="text/css">
</HEAD>
<body topmargin="0" leftmargin="0" class="body_default" style="overflow: auto;">
    <TABLE id="Table1" cellSpacing="0" cellPadding="0" height="100%" width="100%" border="0">
        <TR>
            <TD width="100%" height="100%" align="center" valign="middle">
                <TABLE id="Table2" style="background: url(<?=portal_prefix_path()?>/Login/images/background_card.png) no-repeat" cellSpacing="0" cellPadding="0" height="460" width="767" border="0">
                    <TR>
                        <TD width="100%" height="35" valign="bottom">
                            <TABLE id="Table3" cellSpacing="0" cellPadding="0" width="100%" border="0" style="padding-top:25px;">
                                <TR>
                                    <TD width=200>
                                        <center>
                                            <a href="<?=$firmHref?>" style="padding-left:10px;">
                                                <?=company_logo_html_segment()?>
                                            </a>
                                        </center>
                                    </TD>
                                    <TD align="right" style="padding-right:25px;">
                                        <DIV id=product_name class="productName" style="padding-left:30px; padding-top:0px; width:500px; overflow: hidden;" align="right">
                                            <?=charset_htmlentities($PortalTitle)?>
                                        </DIV>
                                    </TD>
                                </TR>
                            </TABLE>
                        </TD>
                    </TR>
                    <TR>
                        <TD width="100%" height="100%">
                            <table width="100%" height="100%" cellpadding="0" cellspacing="0" border="0" style="padding-left: 5px;">
                                <tr>
                                    <td width=10>&nbsp;</td>
                                    <td width=226 id="LegalNotice" valign=top></td>
                                    <td width=18>&nbsp;</td>
                                    <td align="left" style="padding-left: 0px; position: relative;" valign="top">
                                        <form name="CryptoPhotoLoginForm" id="CryptoPhotoLoginForm" method="post" autocomplete="off">
                                        <input type="hidden" name="processCP" value="1">
                                        <input type="hidden" name="selectedRealm" value="<?= $selectedRealm ?>">
                                        <input type="hidden" name="loginType" value="<?= $loginType ?>">
                                        <input type="hidden" name="userName" value="<?= $userName ?>">
                                        <input type="hidden" name="vpid_prefix" value="<?= $vpid_prefix ?>">
                                        <input type="hidden" name="password" value="<?= $password ?>">
                                        <input type="hidden" name="HeightData" value="<?= $HeightData ?>">
                                        <table cellpadding="0" cellspacing="0" border="0" width="306">
                                            <tr>
                                                <td height="15"></td>
                                            </tr>
                                            <tr>
                                                <td height="190" valign="top" style="padding-top: 8px;">
                                                    <span class="errorMessage" style="text-align: center;display: block;">
                                                        <?= $error_msg ?>
                                                    </span>
                                                    <div id="cp_widget" style="text-align:center;position:relative;max-width:300px;margin-bottom:5px;">Loading ...</div>
                                                    <?php echo $cp->get_auth_widget(); ?>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td style="text-align:center">
                                                    <input type="submit" id="Continue" NAME="Continue" value="Continue" align="absmiddle" class="butt" style="padding-left:1px; padding-right:1px;">
                                                </td>
                                            </tr>
                                        </table>
                                        </form>
                                    </td>
                                </tr>
                            </table>
                        </TD>
                    </TR>
                    <?php require_once("FooterCP.php"); ?>
                </TABLE>
            </TD>
        </TR>
    </TABLE>
</body>
</htm>