<?php

require_once("Strings.php"); //Pay attention to the order of inclusion - byte order mark might add whitespace to the html
require_once("GetPortalInfo.php");

set_portal_main_page_inf();
set_main_vars($portal_inf);

set_portal_relogin_inf();
set_portal_relogin_inf_vars($portal_relogin_inf);

set_mail_services_var($portal_inf);

global $header_banner;



$mailCount = count($MailServicesArr);
$show_mail_in_popup=false;
if ($mailCount>0)
{
	$show_mail_in_popup=true;
}

global $locale;
$locale_decap = strtolower($locale);
$RomanianCompensation = "";
$ChineseCompensation = "";

if ("ro_ro"==$locale_decap)
{
	$RomanianCompensation = "<br /> &nbsp;";
}

if ("zh_cn"==$locale_decap || "zh_tw"==$locale_decap)
{
	$ChineseCompensation = "&nbsp;";
}


?>
<script language="JavaScript" src="<?=portal_prefix_path()?>/Portal/relogin.js"></script>
<script language="javascript">

var isSnxRunning = 0 + eval("<?= $isSnxRunning ?>");
var nNextTimeout = 0 + eval("<?= $nTimeLeftToLogout ?>");
var bReloginPopupEnabled = 0 + eval("<?= $bReloginPopupEnabled ?>");
var bIsCitrixRunning = 0 + eval("<?= $bIsCitrixRunning ?>");

//Popup relogin decision
MakeReauthenticationDecision(); // As the first time is within the loading of the page, no need to perform an HTTP request yet, just decide about it
function TooLateToRelogin()
{
	if (confirm("<?=SESSION_HAS_TIMEDOUT?>" + ".\n" + "<?= CONFIRM_RELOGIN_REDIRECT ?>"))
	{
		KillReauthWin();
		location.href="<?=portal_prefix_path()?>/Login/Login";
	}
}

function CustomCheckBeforeRelogin()
{
	if (!bReloginPopupEnabled){return false;}
	return true;
}

<?php
$linkBase = portal_link_start();
?>

var linkHome = "<?= $linkBase ?>" + "/";
var linkWebFavorites = "<?= $linkBase ?>" + "/Portal/WebFavorites";
var linkWebSettings = "<?= $linkBase ?>" + "/Portal/WebSettings";
<?php
require_once("CryptoPhotoConf.php");
if (defined("ENABLE_CRYPTOPHOTO") && ENABLE_CRYPTOPHOTO == 1) {
?>
var linkCryptoPhotoSettings = "<?= $linkBase ?>" + "/Portal/CryptoPhotoSettings";
<?php
}
?>
var linkCommonCreds = "<?= $linkBase ?>" + "/Portal/CommonCreds";

var linkFileFavorites = "<?= $linkBase ?>" + "/Portal/FileFavorites";
var linkFileSettings = "<?= $linkBase ?>" + "/Portal/FileSettings_Global";
var linkFileCredentials = "<?= $linkBase ?>" + "/Portal/FileSettings";

var linkMails = "<?= $linkBase ?>" + "/Portal/MailSettings";
var linkMailSet = "<?= $linkBase ?>" + "/Portal/EditMailSettings";

var linkSNXSettings = "<?= $linkBase ?>" + "/Portal/SNXSettings";
var linkSNXFavs = "<?= $linkBase ?>" + "/Portal/SNXFavorites";

var linkPrefs = "<?= $linkBase ?>" + "/Portal/Preferences";
var linkHelp = "<?= $linkBase ?>" + "/Portal/HelpRedirector";
var linkLogOut = "<?= $linkBase ?>" + "/Portal/SignOut";

var linkHomeTip = "<?= BACK_HOME ?>";
var linkMailTip = "<?= READ_MAIL ?>";
var linkToolsTip = "<?= SETTINGS ?>";
var linkHelpTip = "<?= HELP ?>";
var linkLogOutTip = "<?= SIGN_OUT ?>";

function DoLogOut(evt, oSender)
{
//bIsCitrixRunning = true;
	if (bIsCitrixRunning){if (!confirm("<?=CONFIRM_SIGN_OUT_CITRIX?>")){return;}}
	onRelease(oSender,linkLogOut, evt); 
	deleteSelectCookie('moveToLogin');
}

</script>
        <TR >
			<TD colspan="5">
            	<TABLE id="Table2" height="60px" cellSpacing="0" cellPadding="0" width="100%" border="0">
					<TR>
		                <TD width="242" align="left" class="header_left">
							
							<center>
							<a href="<?=$firmHref?>" id="firmHref">
								<?=company_logo_html_segment()?>
							</a>
							</center>
							<span>&nbsp;</span>
						</TD>
		                <TD align="left" valign="top" class="header_right">
							<DIV id=product_name class="productName" style="height:60px; overflow: hidden; padding-top:20px; padding-left:15px;"><?=$PortalTitle?></DIV>
						</TD>
						
						<TD class="header_menu" align="right" rowspan="2">
		                    <DIV id="barDiv" name="barDiv" style="width: 365px; vertical-align:bottom;">
							<?php
							$tools_menu_class="ToolsDiv";
							if ($header_banner)
							{
								$tools_menu_class="HeaderToolsDiv";
							}
							?>
		                    <DIV id="MailsDiv" name="MailsDiv" class="<?=$tools_menu_class?>">
		                        <TABLE id="MailsTable" cellSpacing="0" cellPadding="0" border="0" class="dropTable">
			                        <TR>
			                            <TD width="100%" height="24" align="center" valign="middle">
				                            <TABLE id="TD1" width="100%" height="20" cellSpacing="0" cellPadding="0" border="0">
		                                <?
		                    for( $i=0 ; $i<count($EnabledMailServicesArr) ; $i++ ) {
		                        $mailId = $EnabledMailServicesArr[$i]["id"];
		                        $mailName = $EnabledMailServicesArr[$i]["name"];
		                                ?>
		                                <? if($i>0) { ?>
			                                <TR><TD width="90%" align="center" style="padding-right: 3px; padding-left: 3px;"><img src="<?=portal_prefix_path()?>/Login/images/seperator.gif" height="2" width="100%" border="0"></TD></TR>
		                                <? } ?>
			                                <TR>
                                    <?
                                        if(strcasecmp(substr($mailId, 0, 4), "OWA:") == 0) {
                                        ?>
				                                <TD width="100%" height="20" align="left" class="Annotation barTD_Off" id="<?= htmlentities($mailName) ?>" onMouseOver="Tools_On(this)" onMouseOut="Tools_Off(this)" onMouseDown="onRelease(this,'<?= translate(charset_htmlentities(substr($mailId, 4))) ?>', event)">
				                                    <?= htmlentities($mailName) ?>
				                                </TD>
                                        <?
                                        } else {
                                        ?>
				                                <TD width="100%" height="20" align="left" class="Annotation barTD_Off" id="<?= htmlentities($mailName) ?>" onMouseOver="Tools_On(this)" onMouseOut="Tools_Off(this)" onMouseDown="onRelease(this,'<?=portal_prefix_path()?>/Portal/EnterWebMail?Id=<?= htmlentities(urlencode($mailId)) ?>', event)">
		                                        	<?= htmlentities($mailName) ?>
		                                    	</TD>
                                        <? }
                                    ?>
			                                </TR>
		                                <? } ?>
				                            </TABLE>
			                            </TD>
			                        </TR>
		                        </TABLE>
		                    </DIV>

		                    <DIV id="ToolsDiv" name="ToolsDiv" class="<?=$tools_menu_class?>">
							<?php
							if ($show_mail_in_popup or $snxSection or $browseSection or $fileSection or $commonCredsSection)
							{
							?>
		                        <TABLE id="ToolsTable1" cellSpacing="0" cellPadding="0" border="0" class="dropTable">
			                        <TR>
			                            <TD width="100%" height="24" align="center" valign="left">
				                            <TABLE id="TD1" width="100%" height="20" cellSpacing="0" cellPadding="0" border="0">
      								<? if($browseSection) { ?>
				                                <TR>
					                                <TD width="100%" height="20" align="left" class="Annotation barTD_Off" id="toWebFavorites" onMouseOver="Tools_On(this)" onMouseOut="Tools_Off(this)" onMouseDown="onRelease(this,linkWebFavorites, event)">
					                                   <?= ORGANIZE_WEB_FAVORITES ?>
					                                </TD>
				                                </TR>
				                                <TR><TD width="90%" align="center" style="padding-right: 3px; padding-left: 3px;"><img src="<?=portal_prefix_path()?>/Login/images/seperator.gif" height="2" width="100%" border="0"></TD></TR>
				                                <TR>
					                                <TD width="100%" height="20" align="left" class="Annotation barTD_Off" id="toWebSettings" onMouseOver="Tools_On(this)" onMouseOut="Tools_Off(this)" onMouseDown="onRelease(this,linkWebSettings, event)">
					                                   <?= EDIT_WEB_SETTINGS ?>
					                                </TD>
				                                </TR>
                                                                <?php if (defined("ENABLE_CRYPTOPHOTO") && ENABLE_CRYPTOPHOTO == 1) { ?>
                                                                  <TR><TD width="90%" align="center" style="padding-right: 3px; padding-left: 3px;"><img src="<?=portal_prefix_path()?>/Login/images/seperator.gif" height="2" width="100%" border="0"></TD></TR>
                                                                  <TR>
                                                                        <TD width="100%" height="20" align="left" class="Annotation barTD_Off" id="toWebSettings" onMouseOver="Tools_On(this)" onMouseOut="Tools_Off(this)" onMouseDown="onRelease(this,linkCryptoPhotoSettings, event)">
                                                                          CryptoPhoto Settings
                                                                        </TD>
                                                                  </TR>
                                                                  <?php } ?>
							      	<? } ?>
      								<? if($commonCredsSection) { ?>
				                                <TR><TD width="90%" align="center" style="padding-right: 3px; padding-left: 3px;"><img src="<?=portal_prefix_path()?>/Login/images/seperator.gif" height="2" width="100%" border="0"></TD></TR>
					                                <TD width="100%" height="20" align="left" class="Annotation barTD_Off" id="toWebSettings" onMouseOver="Tools_On(this)" onMouseOut="Tools_Off(this)" onMouseDown="onRelease(this,linkCommonCreds, event)">
					                                   <?= EDIT_COMMON_CREDS ?>
					                                </TD>
				                                </TR>
							      	<? } ?>
							      	<? if($fileSection) { ?>
				                                <TR><TD width="90%" align="center" style="padding-right: 3px; padding-left: 3px;"><img src="<?=portal_prefix_path()?>/Login/images/seperator.gif" height="2" width="100%" border="0"></TD></TR>
				                                <TR>
					                                <TD width="100%" height="20" align="left" class="Annotation barTD_Off" id="toFileFavorites" onMouseOver="Tools_On(this)" onMouseOut="Tools_Off(this)" onMouseDown="onRelease(this,linkFileFavorites, event)">
					                                   <?= ORGANIZE_FILE_FAVORITES ?>
					                                </TD>
				                                </TR>
				                                <TR><TD width="90%" align="center" style="padding-right: 3px; padding-left: 3px;"><img src="<?=portal_prefix_path()?>/Login/images/seperator.gif" height="2" width="100%" border="0"></TD></TR>
				                                <TR>
					                                <TD width="100%" height="20" align="left" class="Annotation barTD_Off" id="toFileCredentials" onMouseOver="Tools_On(this)" onMouseOut="Tools_Off(this)" onMouseDown="onRelease(this,linkFileCredentials, event)">
					                                   <?= EDIT_FILE_CREDENTIALS ?>
					                                </TD>
				                                </TR>
										<?
											global $bShowFileSettings;
											if ($bShowFileSettings)
											{
										?>
				                                <TR><TD width="90%" align="center" style="padding-right: 3px; padding-left: 3px;"><img src="<?=portal_prefix_path()?>/Login/images/seperator.gif" height="2" width="100%" border="0"></TD></TR>
				                                <TR>
					                                <TD width="100%" height="20" align="left" class="Annotation barTD_Off" id="toFileSettings" onMouseOver="Tools_On(this)" onMouseOut="Tools_Off(this)" onMouseDown="onRelease(this,linkFileSettings, event)">
					                                   <?=  EDIT_FILE_SETTINGS ?>
					                                </TD>
				                                </TR>
										<?
											}
										?>

								<? } ?>
			                        <? if($mailSection) { ?>
				                                <TR><TD width="90%" align="center" style="padding-right: 3px; padding-left: 3px;"><img src="<?=portal_prefix_path()?>/Login/images/seperator.gif" height="2" width="100%" border="0"></TD></TR>
				                                <TR>
					                                <TD width="100%" height="20" align="left" class="Annotation barTD_Off" id="toMailSettings" onMouseOver="Tools_On(this)" onMouseOut="Tools_Off(this)" onMouseDown="onRelease(this,linkMails, event)">
					                                   <?= EDIT_MAIL_SETTINGS ?>
					                                </TD>
				                                </TR>
			                    	<? } ?>
									<? if($snxSection) { ?>
				                                <TR><TD width="90%" align="center" style="padding-right: 3px; padding-left: 3px;"><img src="<?=portal_prefix_path()?>/Login/images/seperator.gif" height="2" width="100%" border="0"></TD></TR>
				                                <TR>
					                                <TD width="100%" height="20" align="left" class="Annotation barTD_Off" id="toSnxSettings" onMouseOver="Tools_On(this)" onMouseOut="Tools_Off(this)" onMouseDown="onRelease(this,linkSNXSettings, event)">
					                                   <?= EDIT_SNX_SETTINGS ?>
					                                </TD>
				                                </TR>
				                                <TR><TD width="90%" align="center" style="padding-right: 3px; padding-left: 3px;"><img src="<?=portal_prefix_path()?>/Login/images/seperator.gif" height="2" width="100%" border="0"></TD></TR>
				                                <TR>
					                                <TD width="100%" height="20" align="left" class="Annotation barTD_Off" id="toSnxFavs" onMouseOver="Tools_On(this)" onMouseOut="Tools_Off(this)" onMouseDown="onRelease(this,linkSNXFavs, event)">
					                                   <?= ORGANIZE_SNX_FAVORITES ?>
					                                </TD>
				                                </TR>
			                    	<? } ?>
				                            </TABLE>
			                            </TD>
			                        </TR>
		                        </TABLE>
								<?
								if( count($EnabledMailServicesArr) == 1 )
								{ 
									if(strcasecmp(substr($mailId, 0, 4), "OWA:") == 0)
									{
										$mailHref=translate(charset_htmlentities(substr($mailId, 4)));
									}
									else 
									{
										$mailHref = portal_prefix_path() . '/Portal/EnterWebMail?Id=' . charset_htmlentities(urlencode($mailId));
									}
									$onMouseOut = "onTabOut(this)";
									$onMouseUp = "onRelease(this,'" . $mailHref . "', event);";
								}
								else if( count($EnabledMailServicesArr) > 1 )
								{ 
									$onMouseOut = "onDropOut(this,'MailsDiv')";
									$onMouseUp = "showDropHeaderMenu(event, this)";
								}

							}
 				?>

		                    </DIV>
		                        <TABLE id="navigation" width="365" cellSpacing="0" cellPadding="0" border="0"> 
			                        <TR><TD colspan="2" height="26">&nbsp;</TD></TR>
   			                        <TR><td height="26" width="31"></td>
										<td>
										<TABLE id="navigation" width="329" cellSpacing="0" cellPadding="0" border="0">
										<tr height="13"><td colspan="7" style="font-size:1px;">&nbsp;</td></tr>
										<tr>

					                    <TD width="84"  id="HomeTD" height="26" class="NavigateTab" title="" onMouseOver="showTitle(this,linkHomeTip); onTabOver(this);" onMouseDown="" onMouseOut="onTabOut(this)" onMouseUp="onRelease(this,linkHome, event)"><img id="Home" src="<?=portal_prefix_path()?>/Login/images/ToolBar_Btn_Home.png" width="84" height="26" border="0" align="absmiddle"><br>
										<span style="display:block; height:4px; font-size:4px;">&nbsp;</span>
										<span style="padding-left: 3px; padding-right: 3px;">&nbsp;&nbsp;<?= HOME_CAPTION ?></span></TD>
										
										<TD width="1px" height="26" valign="bottom"></TD>
			                        <? if(count($EnabledMailServicesArr)>0) { ?>
					                    <TD width="79"  id="MailsTD" class="NavigateTab" title="" onMouseOver="showTitle(this,linkMailTip); onTabOver(this);" onMouseDown="" onMouseOut="<?= $onMouseOut ?>" onMouseUp="<?= $onMouseUp ?>"><img id="Mails" src="<?=portal_prefix_path()?>/Login/images/ToolBar_Btn_Mail.png" width="79" height="26" border="0" align="absmiddle"><br>
										<span style="display:block; height:4px; font-size:4px;">&nbsp;</span>
										<span style="padding-left: 3px; padding-right: 3px;"><?= MAIL_CAPTION ?>&nbsp;</span></TD>
									<? } else { ?>
					                    <TD width="79"  id="MailsTD" class="NavigateTab" style="color: #a7a7a7; cursor: default;" title="" onMouseOver="" onMouseDown="" onMouseOut="" onMouseUp=""><img id="Mails" src="<?=portal_prefix_path()?>/Login/images/ToolBar_Btn_MailDisable.png" width="79" height="26" border="0" align="absmiddle"><br>
										<span style="display:block; height:4px; font-size:4px;">&nbsp;</span>
										<span style="padding-left: 3px; padding-right: 3px;"><?= MAIL_CAPTION ?>&nbsp;</span></TD>
									<? } ?>
									
										<TD width="1px" height="26" valign="bottom"></TD>
					                    <TD width="79"  id="ToolsTD" class="NavigateTab" title="" onMouseOver="showTitle(this,linkToolsTip); onTabOver(this);" onMouseDown="" onMouseOut="onDropOut(this,'ToolsDiv');" onMouseUp="showDropHeaderMenu(event, this);"><img id="Tools" src="<?=portal_prefix_path()?>/Login/images/ToolBar_Btn_Settings.png" width="79" height="26" border="0" align="absmiddle"><br>
										<span style="display:block; height:4px; font-size:4px;">&nbsp;</span>
										<span style="padding-left: 3px; padding-right: 3px;"><?= SETTINGS_CAPTION . $RomanianCompensation?></span></TD>
										
										<TD width="1px" height="26" valign="bottom"></TD>
					                    <TD nowrap  id="LogOutTD" class="NavigateTab" title="" onMouseOver="showTitle(this,linkLogOutTip); onTabOver(this);" onMouseDown="" onMouseOut="onTabOut(this)" onMouseUp="DoLogOut(event, this);"><img id="LogOut" src="<?=portal_prefix_path()?>/Login/images/ToolBar_Btn_SignOut.png" width="84" height="26" border="0" align="absmiddle"><br>
										<span style="display:block; height:4px; font-size:4px;">&nbsp;</span>
										<span style="width: 100%; text-align: center; padding-left: 3px; padding-right: 6px;">
										<?=  $ChineseCompensation . SIGN_OUT_CAPTION . $RomanianCompensation?>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
										</span></TD>
										</tr>
										</table></td>
			                        </TR>
		                        </TABLE>
		                    </DIV>
		                </TD>
                    </TR>
                </TABLE>
            </TD>
		</TR>
		<TR>
			<TD width="13"><img src="<?=portal_prefix_path()?>/Login/images/pix.gif" width="13" border="0"></TD>
			<TD width="28"><img src="<?=portal_prefix_path()?>/Login/images/pix.gif" width="28" border="0"></TD>
			<TD width="100%">
                <TABLE id="Table4" cellSpacing="0" cellPadding="0" width="100%" border="0">
                    <TR>
                        <TD nowrap align="left" valign="top" class="welcomeUser" style="padding-left: 10px; padding-bottom:9px;">
                            <?= USER ?>: <b><?= getFullDisplayUserName($username, $displayUserName) ?></b>&nbsp;&nbsp;&nbsp;<?=$lastLog?>
							<?php
									if (!IsInsideSWS())
									{
							?>		
										&nbsp&nbsp&nbsp&nbsp|&nbsp&nbsp&nbsp&nbsp
										Change Language To: &nbsp;
										<script language="JavaScript" src="<?=portal_prefix_path()?>/Login/utilities.js"></script>
										<SCRIPT LANGUAGE="JavaScript">
										<!--
											RenderLanguageSelectionCombo();
										//-->
										</SCRIPT>
							<?php
									}
							?>	
                        </TD>
                    </TR>
                </TABLE>
			</TD>
			<TD width="28"><img src="<?=portal_prefix_path()?>/Login/images/pix.gif" width="28" border="0"></TD>
			<TD width="13"><img src="<?=portal_prefix_path()?>/Login/images/pix.gif" width="13" border="0"></TD>
		</TR>
		<tr>
			<td colspan="5">
			&nbsp;
			</td>
		</tr>
